#pragma once

#include "gui.h"
#include "framebuffer.h"
#include "ppc.h"
#include "tm.h"
#include "CGInterface.h"

class Scene {
public:

	GUI *gui;
	FrameBuffer *fb, *fb3, *hwfb;
	PPC *ppc, *ppc3;
	TM *tms;
	int tmsN;
	V3 hwClearColor;
	Scene();
	void Render(PPC *renderPPC, FrameBuffer *renderFB);
	void Render();
	void RenderHW();
	void DBG();
	void NewButton();
	FrameBuffer *textures;
	int texturesN;
	int needInitHW;
	CGInterface *cgi;
	ShaderOneInterface *soi;
};

extern Scene *scene;